from turtle import Screen, Turtle

def motion(event):
    canvas.unbind("<Motion>")
    turtle.clear()
    pensize = (1 + event.y / 30)
    dist = 10
    for i in range(80):
        turtle.pensize(pensize)
        turtle.fd(dist)
        pensize = max(1, pensize * 0.95)
        dist *= 0.95
        turtle.rt(event.x / 40)
    turtle.pu()
    turtle.goto(0, 0)
    turtle.setheading(90)
    turtle.pd()
    #a = event.x - 300
    #b = 300 - event.y
    #turtle.dot(event.y, "#" + "{:02x}".format(min(event.x, 255)) + "0000")
    #print(event.x, event.y)
    canvas.bind("<Motion>", motion)

screen = Screen()
screen.setup(600, 600)
screen.tracer(0)
turtle = Turtle(visible=False)
#turtle = Turtle()
turtle.speed('fastest')
#turtle.penup()
turtle.lt(90)

canvas = screen.getcanvas()
canvas.bind("<Motion>", motion)

screen.mainloop()
